CREATE TABLE atc_subscr_acc_asset_rel (
    SUBSCR_ACC_ASSET_REL_ID        NUMBER(18, 0),
    SUBSCR_ACC_ASSET_REL_NUMBER    VARCHAR2(120)    NOT NULL,
    SUBSCR_ACCOUNT_ID              NUMBER(18, 0)    NOT NULL,
    ASSET_ID                       NUMBER(18, 0)    NOT NULL,
    RELATIONSHIP_TYPE              VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    SUBSCR_ACC_ASSET_REL_ID        NUMBER(18, 0),
    SUBSCR_ACC_ASSET_REL_NUMBER    VARCHAR2(120)    NOT NULL,
    SUBSCR_ACCOUNT_ID              NUMBER(18, 0)    NOT NULL,
    ASSET_ID                       NUMBER(18, 0)    NOT NULL,
    RELATIONSHIP_TYPE              VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CONSTRAINT pk_atc_subscr_acc_asset_rel PRIMARY KEY (SUBSCR_ACC_ASSET_REL_ID, SUBSCR_ACC_ASSET_REL_ID)
);
